Bug 801835 - Work Item Definition where the work item name contains spaces breaks designer
Work Item Definition where the work item name contains spaces breaks designer
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: BRMS 5.3.0.GA
Assigned To: Tihomir Surdilovic
Jiri Locker
Depends On:
  Show dependency treegraph
Reported: 2012-03-09 10:41 EST by Jiri Locker
Modified: 2012-05-04 11:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
server.log (3.55 KB, text/plain)
2012-03-09 10:44 EST, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2012-03-09 10:41:27 EST
Description of problem:
After creating a WID like this in Guvnor

> [
>   [
>     "name" : "My Task",
>     "parameters" : [ ... ],
>     "results" : [ ... ],
>     "displayName" : "My Task",
>     "icon" : "",
>   ]
> ]

designer throws an exception when looking for file

> designer.war/stencilsets/bpmn2.0jbpm/view/activity/workitems/My%20Task.svg

and fails to finish opening any process.

Version-Release number of selected component (if applicable):
BRMS 5.3.0 ER4

How reproducible:

Steps to Reproduce:
1. create a new Work Item Definition in Guvnor
2. save it as is, as long as it is pre-filled with a work item named "My Task"
3. create or open any BPMN2 process in the same package
Actual results:
Designer fails to load the process. It shows "Please wait while loading..." message forever. java.io.FileNotFoundException is thrown (see server log).

Expected results:
Designer should look for the correct file and not fail if work item definition contains spaces.

Additional info:
Comment 1 Jiri Locker 2012-03-09 10:44:48 EST
Created attachment 568949 [details]
Comment 2 Tihomir Surdilovic 2012-03-14 17:37:42 EDT
First made change to Guvnor default wid template to remove the space in the name field value (https://github.com/droolsjbpm/guvnor/commit/08b396b9f33a86c50e5c5e42e74aaa094e5b3e42) - this is in the Guvnor 5.3.x branch. Also updated Designer to remove any spaces in the name if there are any. Also fixed issue with empty icons by introducing a default service node icon which gets placed if no icon value is selected. Designer changes are in master and Designer 2.1.x branch.
Comment 3 Jiri Locker 2012-05-04 11:56:07 EDT
Fix verified in ER6. A small step to make Guvnor+Designer unbreakable :)

Note You need to log in before you can comment on or make changes to this bug.